/* 
 * File: ButtonHandlers.js
 * Defines Button handers (service routines)
 */

/*jslint node: true, vars: true, bitwise: true */
/*global angular */
/* find out more about jslint: http://www.jslint.com/help.html */

"use strict";


// Creates the "backend" logical support for appMyExample
var myModule = angular.module("appMyMP1", []);

// registers the constructor for the controller
// NOTE: the constructor is only called _AFTER_ the </body> tag is encountered
//       this code does NOT run until the end of loading the HTML page
myModule.controller("MP1Ctrl", function ($scope) {
    // 
    $scope.eBuildingCode = Object.freeze({
        eUW1: "0",
        eUW2: "1",
        eDiscoHall: "2",
        eARC: "3",
        eLib: "4"
    });
    $scope.sBuildingString = [
        "UW1", "UW2", "Disco Hall", "ARC", "Library"
    ];

    $scope.eColorCode = Object.freeze({
        eRed: 0,
        eGreen: 1,
        eBlue: 2,
        ePurple: 3
    });
    $scope.sColorString = [
        "Red", "Green", "Blue", "Purple"
    ];

    // initialize controller
    $scope.mFavBuild = $scope.eBuildingCode.eDiscoHall;
    $scope.mFavColor = $scope.eColorCode.ePurple;
    $scope.mEcho = "Nothing for now";

    $scope.serviceEcho = function () {
        $scope.mEcho = "Building:" + $scope.sBuildingString[$scope.mFavBuild] +
                       "    Color:" + $scope.sColorString[$scope.mFavColor];
    };
});