    /* 
 * File: MP1Controller.js
 * Simple controller for MP1
 */

/*jslint node: true, vars: true, bitwise: true */
/*global angular */
/* find out more about jslint: http://www.jslint.com/help.html */

"use strict";


// Creates the "backend" logical support for appMyExample
var myModule = angular.module("appMyMP1", []);

// registers the constructor for the controller
// NOTE: the constructor is only called _AFTER_ the </body> tag is encountered
//       this code does NOT run until the end of loading the HTML page
myModule.controller("MP1Ctrl", function ($scope) {
    // 
    $scope.sBuildingCode = [
        {code: "0", name: "UW1"},
        {code: "1", name: "UW2"},
        {code: "2", name: "Disco Hall"},
        {code: "3", name: "ARC"},
        {code: "4", name: "Library"}
    ];

    $scope.eColorCode = Object.freeze({
        eRed: "0",
        eGreen: "1",
        eBlue: "2",
        ePurple: "3"
    });
    $scope.sColorString = [
        "Red", "Green", "Blue", "Purple"
    ];

    // initialize controller
    $scope.mFavBuild = "3";
    $scope.mFavColor = $scope.eColorCode.ePurple;
    $scope.mEcho = "Nothing for now";

    $scope.serviceEcho = function () {
        var bEcho = "nothing selected";
        var n = parseInt($scope.mFavBuild, 10);
        if (Number.isInteger(n) && (n >= 0) && (n <= 4))
            bEcho = $scope.sBuildingCode[n].name;
        
        $scope.mEcho = " Building:" + bEcho +
                       "    Color:" + $scope.sColorString[$scope.mFavColor];
    };
    
    $scope.serviceEcho();
});